Skip to main content
GET
/
v1
/
publishable-keys
List publishable keys
curl --request GET \
  --url https://api.oneinbox.ai/v1/publishable-keys \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "pk_abc123",
    "key": "oi_pk_live_abc123def456",
    "key_prefix": "oi_pk_live_abc1",
    "name": "Production widget",
    "allowed_origins": [
      "https://yoursite.com",
      "https://app.yoursite.com"
    ],
    "is_active": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Use api_key from POST /v1/api-keys

Response

200 - application/json

OK

id
string
Example:

"pk_abc123"

key
string

Full publishable key value — only returned on create. Shows key_prefix on subsequent lists.

Example:

"oi_pk_live_abc123def456"

key_prefix
string
Example:

"oi_pk_live_abc1"

name
string
Example:

"Production widget"

allowed_origins
string[]

Domains allowed to use this key. Requests from other origins return 403.

Example:
[
"https://yoursite.com",
"https://app.yoursite.com"
]
is_active
boolean
created_at
string<date-time>
updated_at
string<date-time>